int analogPin = 3;     // potentiometer wiper (middle terminal) connected to analog pin 3
                       // outside leads to ground and +5V
int val = 0;           // variable to store the value read

void setup()
{
  Serial.begin(9600);              //  setup serial monitor
  pinMode(11,OUTPUT);
  pinMode(3,OUTPUT);
  pinMode(4,OUTPUT);
  digitalWrite(3,HIGH);
  digitalWrite(4,LOW);
}


void loop()
{
  val = analogRead(analogPin);     // read the input pin
  Serial.println(val);             // to write on the computer serial monitor the value of the potentiometer
  val = map(val, 0, 1023, 0, 255); // map the value to transform the value of the potentiometer to PWM
  analogWrite(11, val);           // gives the value to the h bridge
 
  
}

